#Satine schema compiler  2-20-2003
import satine
qualifiedName_parent = satine.getclass('xsd:string')
class qualifiedName(qualifiedName_parent):

	__tag__ = 'qualifiedName'
	__facets__=qualifiedName_parent.__facets__+"""
		<xsd:pattern value="[a-zA-Z][a-zA-Z0-9_-]*:.+">
		"""

ovalRefType_parent = qualifiedName
class ovalRefType(ovalRefType_parent):

	__tag__ = 'ovalRefType'
	pass

locationTolRefType_parent = qualifiedName
class locationTolRefType(locationTolRefType_parent):

	__tag__ = 'locationTolRefType'
	pass

loadType_parent = satine.getclass('xsd:string')
class loadType(loadType_parent):

	__tag__ = 'loadType'
	__facets__=loadType_parent.__facets__+"""
		<xsd:enumeration value="DOWN">
		<xsd:enumeration value="NONE">
		<xsd:enumeration value="UP">
		"""

drawGroupRefType_parent = qualifiedName
class drawGroupRefType(drawGroupRefType_parent):

	__tag__ = 'drawGroupRefType'
	pass

materialType_parent = satine.getclass('xsd:string')
class materialType(materialType_parent):

	__tag__ = 'materialType'
	pass

keepoutType_parent = satine.getclass('xsd:string')
class keepoutType(keepoutType_parent):

	__tag__ = 'keepoutType'
	__facets__=keepoutType_parent.__facets__+"""
		<xsd:enumeration value="BOARD">
		<xsd:enumeration value="COMPONENT">
		<xsd:enumeration value="ROUTE">
		<xsd:enumeration value="TESTPIN">
		<xsd:enumeration value="TESTPROBE">
		<xsd:enumeration value="VIA">
		"""

circuitNumberType_parent = satine.getclass('xsd:string')
class circuitNumberType(circuitNumberType_parent):

	__tag__ = 'circuitNumberType'
	pass

pinName_parent = satine.getclass('xsd:string')
class pinName(pinName_parent):

	__tag__ = 'pinName'
	pass

symPinRefType_parent = pinName
class symPinRefType(symPinRefType_parent):

	__tag__ = 'symPinRefType'
	pass

modEndType_parent = satine.getclass('xsd:string')
class modEndType(modEndType_parent):

	__tag__ = 'modEndType'
	__facets__=modEndType_parent.__facets__+"""
		<xsd:enumeration value="BOTH">
		<xsd:enumeration value="START">
		<xsd:enumeration value="FINISH">
		"""

tolRefType_parent = qualifiedName
class tolRefType(tolRefType_parent):

	__tag__ = 'tolRefType'
	pass

actionType_parent = satine.getclass('xsd:string')
class actionType(actionType_parent):

	__tag__ = 'actionType'
	__facets__=actionType_parent.__facets__+"""
		<xsd:enumeration value="ADD">
		<xsd:enumeration value="DELETE">
		<xsd:enumeration value="RENAME">
		"""

PositionType_parent = satine.getclass('xsd:dtlist')
class PositionType(PositionType_parent):

	__tag__ = 'PositionType'
	__facets__=PositionType_parent.__facets__+"""<xsd:string>"""

lengthType_parent = satine.getclass('xsd:string')
class lengthType(lengthType_parent):

	__tag__ = 'lengthType'
	__facets__=lengthType_parent.__facets__+"""
		<xsd:enumeration value="INCHES">
		<xsd:enumeration value="MM">
		<xsd:enumeration value="UM">
		"""

bunchTypeType_parent = satine.getclass('xsd:string')
class bunchTypeType(bunchTypeType_parent):

	__tag__ = 'bunchTypeType'
	__facets__=bunchTypeType_parent.__facets__+"""
		<xsd:enumeration value="CABLED">
		<xsd:enumeration value="BUSSED">
		<xsd:enumeration value="TWISTED">
		"""

patternRefType_parent = qualifiedName
class patternRefType(patternRefType_parent):

	__tag__ = 'patternRefType'
	pass

artworkRefType_parent = qualifiedName
class artworkRefType(artworkRefType_parent):

	__tag__ = 'artworkRefType'
	pass

assemblyDesignRuleType_parent = satine.getclass('xsd:string')
class assemblyDesignRuleType(assemblyDesignRuleType_parent):

	__tag__ = 'assemblyDesignRuleType'
	__facets__=assemblyDesignRuleType_parent.__facets__+"""
		<xsd:pattern value="http://webstds.ipc.org/.*">
		"""

donutRefType_parent = qualifiedName
class donutRefType(donutRefType_parent):

	__tag__ = 'donutRefType'
	pass

scaleType_parent = satine.getclass('xsd:double')
class scaleType(scaleType_parent):

	__tag__ = 'scaleType'
	__facets__=scaleType_parent.__facets__+"""
		<xsd:minExclusive fixed="0" value="0.0">
		"""

mountingLocationRef_parent = qualifiedName
class mountingLocationRef(mountingLocationRef_parent):

	__tag__ = 'mountingLocationRef'
	pass

padPrimitiveRefType_parent = qualifiedName
class padPrimitiveRefType(padPrimitiveRefType_parent):

	__tag__ = 'padPrimitiveRefType'
	pass

defaultTPToleranceRefType_parent = qualifiedName
class defaultTPToleranceRefType(defaultTPToleranceRefType_parent):

	__tag__ = 'defaultTPToleranceRefType'
	pass

accessDescType_parent = satine.getclass('xsd:string')
class accessDescType(accessDescType_parent):

	__tag__ = 'accessDescType'
	__facets__=accessDescType_parent.__facets__+"""
		<xsd:enumeration value="ACCESS">
		<xsd:enumeration value="ACCESSTOP">
		<xsd:enumeration value="ACCESSBOTTOM">
		<xsd:enumeration value="MANDATORY">
		<xsd:enumeration value="NOACCESS">
		<xsd:enumeration value="NOPROBE">
		<xsd:enumeration value="PREFERRED">
		"""

padRefType_parent = qualifiedName
class padRefType(padRefType_parent):

	__tag__ = 'padRefType'
	pass

langCode_parent = satine.getclass('xsd:string')
class langCode(langCode_parent):

	__tag__ = 'langCode'
	__facets__=langCode_parent.__facets__+"""
		<xsd:pattern value="[a-zA-Z](-[a-zA-Z-])*">
		"""

testProbeRefType_parent = qualifiedName
class testProbeRefType(testProbeRefType_parent):

	__tag__ = 'testProbeRefType'
	pass

cutModeType_parent = satine.getclass('xsd:string')
class cutModeType(cutModeType_parent):

	__tag__ = 'cutModeType'
	__facets__=cutModeType_parent.__facets__+"""
		<xsd:enumeration value="REMAIN">
		<xsd:enumeration value="REMOVE">
		"""

fixtureElectronicRefType_parent = qualifiedName
class fixtureElectronicRefType(fixtureElectronicRefType_parent):

	__tag__ = 'fixtureElectronicRefType'
	pass

diamondRefType_parent = qualifiedName
class diamondRefType(diamondRefType_parent):

	__tag__ = 'diamondRefType'
	pass

drawingType_parent = satine.getclass('xsd:string')
class drawingType(drawingType_parent):

	__tag__ = 'drawingType'
	__facets__=drawingType_parent.__facets__+"""
		<xsd:enumeration value="ASSEMBLY">
		<xsd:enumeration value="ASSEMBLYTEST">
		<xsd:enumeration value="BOARDTEST">
		<xsd:enumeration value="COMBINATION">
		<xsd:enumeration value="DETAIL">
		<xsd:enumeration value="FABRICATION">
		<xsd:enumeration value="MACHINE">
		<xsd:enumeration value="PARTSLIST">
		<xsd:enumeration value="PHOTOTOOL">
		<xsd:enumeration value="SCHEMATIC">
		<xsd:enumeration value="SPECIFICATION">
		"""

circuitRefType_parent = circuitNumberType
class circuitRefType(circuitRefType_parent):

	__tag__ = 'circuitRefType'
	pass

featureRefType_parent = qualifiedName
class featureRefType(featureRefType_parent):

	__tag__ = 'featureRefType'
	pass

testConnectRefType_parent = qualifiedName
class testConnectRefType(testConnectRefType_parent):

	__tag__ = 'testConnectRefType'
	pass

targetFunctionType_parent = satine.getclass('xsd:string')
class targetFunctionType(targetFunctionType_parent):

	__tag__ = 'targetFunctionType'
	__facets__=targetFunctionType_parent.__facets__+"""
		<xsd:enumeration value="ALIGNMENT">
		<xsd:enumeration value="MARKER">
		<xsd:enumeration value="REGISTRATION">
		"""

barrelTypeType_parent = satine.getclass('xsd:string')
class barrelTypeType(barrelTypeType_parent):

	__tag__ = 'barrelTypeType'
	__facets__=barrelTypeType_parent.__facets__+"""
		<xsd:enumeration value="COAT">
		<xsd:enumeration value="PLATE">
		"""

testPadRefType_parent = qualifiedName
class testPadRefType(testPadRefType_parent):

	__tag__ = 'testPadRefType'
	pass

octagonRefType_parent = qualifiedName
class octagonRefType(octagonRefType_parent):

	__tag__ = 'octagonRefType'
	pass

transactionTypeType_parent = satine.getclass('xsd:string')
class transactionTypeType(transactionTypeType_parent):

	__tag__ = 'transactionTypeType'
	__facets__=transactionTypeType_parent.__facets__+"""
		<xsd:enumeration value="CO">
		<xsd:enumeration value="PO">
		<xsd:enumeration value="RFA">
		<xsd:enumeration value="RFP">
		<xsd:enumeration value="RFQ">
		"""

processType_parent = satine.getclass('xsd:string')
class processType(processType_parent):

	__tag__ = 'processType'
	__facets__=processType_parent.__facets__+"""
		<xsd:enumeration value="FABRICATE">
		<xsd:enumeration value="PLACE">
		"""

surfaceType_parent = satine.getclass('xsd:string')
class surfaceType(surfaceType_parent):

	__tag__ = 'surfaceType'
	__facets__=surfaceType_parent.__facets__+"""
		<xsd:enumeration value="BOTH">
		<xsd:enumeration value="BOTTOM">
		<xsd:enumeration value="TOP">
		"""

xpath_parent = satine.getclass('xsd:string')
class xpath(xpath_parent):

	__tag__ = 'xpath'
	pass

patternPinRefType_parent = pinName
class patternPinRefType(patternPinRefType_parent):

	__tag__ = 'patternPinRefType'
	pass

componentPlacementRefType_parent = qualifiedName
class componentPlacementRefType(componentPlacementRefType_parent):

	__tag__ = 'componentPlacementRefType'
	pass

imageSourceType_parent = xpath
class imageSourceType(imageSourceType_parent):

	__tag__ = 'imageSourceType'
	pass

enumeratedValueType_parent = satine.getclass('xsd:string')
class enumeratedValueType(enumeratedValueType_parent):

	__tag__ = 'enumeratedValueType'
	__facets__=enumeratedValueType_parent.__facets__+"""
		<xsd:pattern value="[a-zA-Z][a-zA-Z0-9_-]*:.+">
		"""

logoRefType_parent = qualifiedName
class logoRefType(logoRefType_parent):

	__tag__ = 'logoRefType'
	pass

rectChamRefType_parent = qualifiedName
class rectChamRefType(rectChamRefType_parent):

	__tag__ = 'rectChamRefType'
	pass

lineTypeType_parent = satine.getclass('xsd:string')
class lineTypeType(lineTypeType_parent):

	__tag__ = 'lineTypeType'
	__facets__=lineTypeType_parent.__facets__+"""
		<xsd:enumeration value="CENTER">
		<xsd:enumeration value="DASHED">
		<xsd:enumeration value="DOTTED">
		<xsd:enumeration value="ERASE">
		<xsd:enumeration value="PHANTOM">
		<xsd:enumeration value="SOLID">
		"""

mirrorType_parent = satine.getclass('xsd:string')
class mirrorType(mirrorType_parent):

	__tag__ = 'mirrorType'
	__facets__=mirrorType_parent.__facets__+"""
		<xsd:enumeration value="MIRROR">
		<xsd:enumeration value="NOMIRROR">
		"""

fontRefType_parent = qualifiedName
class fontRefType(fontRefType_parent):

	__tag__ = 'fontRefType'
	pass

polygonRefType_parent = qualifiedName
class polygonRefType(polygonRefType_parent):

	__tag__ = 'polygonRefType'
	pass

connPinRefType_parent = qualifiedName
class connPinRefType(connPinRefType_parent):

	__tag__ = 'connPinRefType'
	pass

historyNumberType_parent = satine.getclass('xsd:string')
class historyNumberType(historyNumberType_parent):

	__tag__ = 'historyNumberType'
	__facets__=historyNumberType_parent.__facets__+"""
		<xsd:pattern value="[0-9]+(.[0-9]+)*">
		"""

mechanicalRefType_parent = qualifiedName
class mechanicalRefType(mechanicalRefType_parent):

	__tag__ = 'mechanicalRefType'
	pass

colorRefType_parent = qualifiedName
class colorRefType(colorRefType_parent):

	__tag__ = 'colorRefType'
	pass

boardOrPanelRefType_parent = qualifiedName
class boardOrPanelRefType(boardOrPanelRefType_parent):

	__tag__ = 'boardOrPanelRefType'
	pass

hexagonRefType_parent = qualifiedName
class hexagonRefType(hexagonRefType_parent):

	__tag__ = 'hexagonRefType'
	pass

schSymbolRefType_parent = qualifiedName
class schSymbolRefType(schSymbolRefType_parent):

	__tag__ = 'schSymbolRefType'
	pass

imageRefType_parent = qualifiedName
class imageRefType(imageRefType_parent):

	__tag__ = 'imageRefType'
	pass

applicationType_parent = satine.getclass('xsd:string')
class applicationType(applicationType_parent):

	__tag__ = 'applicationType'
	__facets__=applicationType_parent.__facets__+"""
		<xsd:enumeration value="BDFAB">
		<xsd:enumeration value="BDTST">
		<xsd:enumeration value="BDASM">
		<xsd:enumeration value="ASEMT">
		"""

tipTypeType_parent = satine.getclass('xsd:string')
class tipTypeType(tipTypeType_parent):

	__tag__ = 'tipTypeType'
	__facets__=tipTypeType_parent.__facets__+"""
		<xsd:enumeration value="CASTLE">
		<xsd:enumeration value="CHISEL">
		<xsd:enumeration value="CROWN">
		<xsd:enumeration value="OTHER">
		<xsd:enumeration value="RADIUS">
		<xsd:enumeration value="SPEAR">
		<xsd:enumeration value="TULIP3">
		<xsd:enumeration value="TULIP4">
		"""

barrelMaterialType_parent = satine.getclass('xsd:string')
class barrelMaterialType(barrelMaterialType_parent):

	__tag__ = 'barrelMaterialType'
	__facets__=barrelMaterialType_parent.__facets__+"""
		<xsd:enumeration value="CARBON">
		<xsd:enumeration value="COPPER">
		<xsd:enumeration value="ELECTROLESSCOPPER">
		<xsd:enumeration value="ELECTROLYTICCOPPER">
		<xsd:enumeration value="GOLD">
		<xsd:enumeration value="GRAPHITE">
		<xsd:enumeration value="NICKEL">
		<xsd:enumeration value="NICKELGOLD">
		<xsd:enumeration value="PALADIUM">
		<xsd:enumeration value="TIN">
		<xsd:enumeration value="TINLEAD">
		"""

productRefType_parent = qualifiedName
class productRefType(productRefType_parent):

	__tag__ = 'productRefType'
	pass

fixtureFunctionType_parent = satine.getclass('xsd:string')
class fixtureFunctionType(fixtureFunctionType_parent):

	__tag__ = 'fixtureFunctionType'
	__facets__=fixtureFunctionType_parent.__facets__+"""
		<xsd:enumeration value="ICT">
		<xsd:enumeration value="BAREBOARDTEST">
		<xsd:enumeration value="SOLDERSTENCIL">
		<xsd:enumeration value="GLUEDOT">
		<xsd:enumeration value="ASSEMBLY">
		<xsd:enumeration value="OTHERA">
		"""

netClassType_parent = satine.getclass('xsd:string')
class netClassType(netClassType_parent):

	__tag__ = 'netClassType'
	__facets__=netClassType_parent.__facets__+"""
		<xsd:enumeration value="CLK">
		<xsd:enumeration value="FIXED">
		<xsd:enumeration value="GROUND">
		<xsd:enumeration value="SIGNAL">
		<xsd:enumeration value="POWER">
		<xsd:enumeration value="UNUSED">
		"""

mountingLocationRefType_parent = qualifiedName
class mountingLocationRefType(mountingLocationRefType_parent):

	__tag__ = 'mountingLocationRefType'
	pass

donutShapeType_parent = satine.getclass('xsd:string')
class donutShapeType(donutShapeType_parent):

	__tag__ = 'donutShapeType'
	__facets__=donutShapeType_parent.__facets__+"""
		<xsd:enumeration value="HEXAGON">
		<xsd:enumeration value="OCTAGON">
		<xsd:enumeration value="ROUND">
		<xsd:enumeration value="SQUARE">
		"""

pinTypeType_parent = satine.getclass('xsd:string')
class pinTypeType(pinTypeType_parent):

	__tag__ = 'pinTypeType'
	__facets__=pinTypeType_parent.__facets__+"""
		<xsd:enumeration value="BALL">
		<xsd:enumeration value="BUTTLEAD">
		<xsd:enumeration value="CASTELLATION">
		<xsd:enumeration value="COLUMN">
		<xsd:enumeration value="GULLWING">
		<xsd:enumeration value="JLEAD">
		<xsd:enumeration value="LAND">
		<xsd:enumeration value="SLEAD">
		<xsd:enumeration value="TERMINATION">
		<xsd:enumeration value="TH_RIBBON">
		<xsd:enumeration value="TH_ROUND">
		<xsd:enumeration value="TH_V">
		<xsd:enumeration value="WRAPAROUND">
		"""

packageTypeType_parent = satine.getclass('xsd:string')
class packageTypeType(packageTypeType_parent):

	__tag__ = 'packageTypeType'
	__facets__=packageTypeType_parent.__facets__+"""
		<xsd:enumeration value="AXIAL_LEADED">
		<xsd:enumeration value="BARE_DIE">
		<xsd:enumeration value="CERAMIC_BGA">
		<xsd:enumeration value="CERAMIC_DIP">
		<xsd:enumeration value="CERAMIC_FLATPACK">
		<xsd:enumeration value="CERAMIC_QUAD_FLATPACK">
		<xsd:enumeration value="CERAMIC_SIP">
		<xsd:enumeration value="CHIP">
		<xsd:enumeration value="CHIP_SCALE">
		<xsd:enumeration value="CHOKE_SWITCH_SM">
		<xsd:enumeration value="COIL">
		<xsd:enumeration value="CONNECTOR_SM">
		<xsd:enumeration value="CONNECTOR_TH">
		<xsd:enumeration value="EMBEDDED">
		<xsd:enumeration value="FLIPCHIP">
		<xsd:enumeration value="HERMETIC_HYBRED">
		<xsd:enumeration value="LEADLESS_CERAMIC_CHIP_CARRIER">
		<xsd:enumeration value="MCM">
		<xsd:enumeration value="MELF">
		<xsd:enumeration value="MINI_BGA">
		<xsd:enumeration value="MOLDED">
		<xsd:enumeration value="NETWORK">
		<xsd:enumeration value="PGA">
		<xsd:enumeration value="PLASTIC_BGA">
		<xsd:enumeration value="PLASTIC_CHIP_CARRIER">
		<xsd:enumeration value="PLASTIC_DIP">
		<xsd:enumeration value="PLASTIC_SIP">
		<xsd:enumeration value="POWER_TRANSISTOR">
		<xsd:enumeration value="RADIAL_LEADED">
		<xsd:enumeration value="RECTANGULAR_QUAD_FLATPACK">
		<xsd:enumeration value="RELAY_SM">
		<xsd:enumeration value="RELAY_TH">
		<xsd:enumeration value="SOD123">
		<xsd:enumeration value="SOIC">
		<xsd:enumeration value="SOJ">
		<xsd:enumeration value="SOPIC">
		<xsd:enumeration value="SOT143">
		<xsd:enumeration value="SOT23">
		<xsd:enumeration value="SOT52">
		<xsd:enumeration value="SOT89">
		<xsd:enumeration value="SQUARE_QUAD_FLATPACK">
		<xsd:enumeration value="SSOIC">
		<xsd:enumeration value="SWITCH_TH">
		<xsd:enumeration value="TANTALUM">
		<xsd:enumeration value="TO_TYPE">
		<xsd:enumeration value="TRANSFORMER">
		<xsd:enumeration value="TRIMPOT_SM">
		<xsd:enumeration value="TRIMPOT_TH">
		"""

thermalShapeType_parent = satine.getclass('xsd:string')
class thermalShapeType(thermalShapeType_parent):

	__tag__ = 'thermalShapeType'
	__facets__=thermalShapeType_parent.__facets__+"""
		<xsd:enumeration value="OCTAGON">
		<xsd:enumeration value="ROUND">
		<xsd:enumeration value="SQUARE">
		"""

primitiveRefType_parent = qualifiedName
class primitiveRefType(primitiveRefType_parent):

	__tag__ = 'primitiveRefType'
	pass

prefixType_parent = satine.getclass('xsd:string')
class prefixType(prefixType_parent):

	__tag__ = 'prefixType'
	__facets__=prefixType_parent.__facets__+"""
		<xsd:pattern value="[a-zA-Z][a-zA-Z0-9_-]*">
		"""

barrelDescRefType_parent = qualifiedName
class barrelDescRefType(barrelDescRefType_parent):

	__tag__ = 'barrelDescRefType'
	pass

componentRefType_parent = qualifiedName
class componentRefType(componentRefType_parent):

	__tag__ = 'componentRefType'
	pass

paintTypeType_parent = satine.getclass('xsd:string')
class paintTypeType(paintTypeType_parent):

	__tag__ = 'paintTypeType'
	__facets__=paintTypeType_parent.__facets__+"""
		<xsd:enumeration value="FILL">
		<xsd:enumeration value="HATCH">
		<xsd:enumeration value="HOLLOW">
		<xsd:enumeration value="MESH">
		<xsd:enumeration value="VOID">
		"""

nonNegativeDouble_parent = satine.getclass('xsd:double')
class nonNegativeDouble(nonNegativeDouble_parent):

	__tag__ = 'nonNegativeDouble'
	__facets__=nonNegativeDouble_parent.__facets__+"""
		<xsd:minInclusive fixed="0" value="0.0">
		"""

shortName_parent = satine.getclass('xsd:string')
class shortName(shortName_parent):

	__tag__ = 'shortName'
	__facets__=shortName_parent.__facets__+"""
		<xsd:pattern value="[/a-zA-Z][a-zA-Z0-9/_-]*">
		"""

boardRefType_parent = shortName
class boardRefType(boardRefType_parent):

	__tag__ = 'boardRefType'
	pass

connectorRefType_parent = qualifiedName
class connectorRefType(connectorRefType_parent):

	__tag__ = 'connectorRefType'
	pass

mimeType_parent = satine.getclass('xsd:string')
class mimeType(mimeType_parent):

	__tag__ = 'mimeType'
	__facets__=mimeType_parent.__facets__+"""
		<xsd:pattern value="[a-zA-Z0-9]+/[a-ZA-Z0-9]+">
		"""

angleType_parent = satine.getclass('xsd:string')
class angleType(angleType_parent):

	__tag__ = 'angleType'
	__facets__=angleType_parent.__facets__+"""
		<xsd:enumeration value="DEGREES">
		<xsd:enumeration value="RADIANS">
		"""

openInputLogicType_parent = satine.getclass('xsd:string')
class openInputLogicType(openInputLogicType_parent):

	__tag__ = 'openInputLogicType'
	__facets__=openInputLogicType_parent.__facets__+"""
		<xsd:enumeration value="ONE">
		<xsd:enumeration value="ZERO">
		<xsd:enumeration value="X">
		"""

componentPinRefType_parent = qualifiedName
class componentPinRefType(componentPinRefType_parent):

	__tag__ = 'componentPinRefType'
	pass

probeAttachType_parent = satine.getclass('xsd:string')
class probeAttachType(probeAttachType_parent):

	__tag__ = 'probeAttachType'
	__facets__=probeAttachType_parent.__facets__+"""
		<xsd:enumeration value="CAPACITIVE">
		<xsd:enumeration value="INDUCTIVE">
		<xsd:enumeration value="MATING">
		<xsd:enumeration value="OTHER">
		"""

materialCodeType_parent = satine.getclass('xsd:string')
class materialCodeType(materialCodeType_parent):

	__tag__ = 'materialCodeType'
	pass

layersRefType_parent = qualifiedName
class layersRefType(layersRefType_parent):

	__tag__ = 'layersRefType'
	pass

layerTypeType_parent = satine.getclass('xsd:string')
class layerTypeType(layerTypeType_parent):

	__tag__ = 'layerTypeType'
	__facets__=layerTypeType_parent.__facets__+"""
		<xsd:enumeration value="BOARDOUTLINE">
		<xsd:enumeration value="CAPACITIVE">
		<xsd:enumeration value="COATINGCOND">
		<xsd:enumeration value="COATINGNONCOND">
		<xsd:enumeration value="COMPONENT">
		<xsd:enumeration value="CONDUCTOR">
		<xsd:enumeration value="COURTYARD">
		<xsd:enumeration value="DIELADHV">
		<xsd:enumeration value="DIELBASE">
		<xsd:enumeration value="DIELCORE">
		<xsd:enumeration value="DIELPREG">
		<xsd:enumeration value="FIXTURE">
		<xsd:enumeration value="GLUE">
		<xsd:enumeration value="GRAPHIC">
		<xsd:enumeration value="HOLEFILL">
		<xsd:enumeration value="LEGEND">
		<xsd:enumeration value="PASTEMASK">
		<xsd:enumeration value="PIN">
		<xsd:enumeration value="PROBE">
		<xsd:enumeration value="RESISTIVE">
		<xsd:enumeration value="REWORK">
		<xsd:enumeration value="SOLDERBUMP">
		<xsd:enumeration value="SOLDERMASK">
		"""

testPinRefType_parent = qualifiedName
class testPinRefType(testPinRefType_parent):

	__tag__ = 'testPinRefType'
	pass

viaRefType_parent = qualifiedName
class viaRefType(viaRefType_parent):

	__tag__ = 'viaRefType'
	pass

refDesRefType_parent = qualifiedName
class refDesRefType(refDesRefType_parent):

	__tag__ = 'refDesRefType'
	pass

lineModType_parent = satine.getclass('xsd:string')
class lineModType(lineModType_parent):

	__tag__ = 'lineModType'
	__facets__=lineModType_parent.__facets__+"""
		<xsd:enumeration value="NONE">
		<xsd:enumeration value="SL1">
		<xsd:enumeration value="SL2">
		<xsd:enumeration value="TD">
		<xsd:enumeration value="TP">
		"""

layerSingleRefType_parent = qualifiedName
class layerSingleRefType(layerSingleRefType_parent):

	__tag__ = 'layerSingleRefType'
	pass

truePositionTolRefType_parent = qualifiedName
class truePositionTolRefType(truePositionTolRefType_parent):

	__tag__ = 'truePositionTolRefType'
	pass

lineEndType_parent = satine.getclass('xsd:string')
class lineEndType(lineEndType_parent):

	__tag__ = 'lineEndType'
	__facets__=lineEndType_parent.__facets__+"""
		<xsd:enumeration value="NONE">
		<xsd:enumeration value="ROUND">
		<xsd:enumeration value="SQUARE">
		"""

anonymousType_1048290510_899000_parent = satine.getclass('xsd:double')
class anonymousType_1048290510_899000(anonymousType_1048290510_899000_parent):

	__tag__ = 'anonymousType_1048290510_899000'
	__facets__=anonymousType_1048290510_899000_parent.__facets__+"""
		<xsd:length value="2">
		"""

point_parent = satine.getclass('xsd:dtlist')
class point(point_parent):

	__tag__ = 'point'
	__facets__=point_parent.__facets__+"""<time:anonymousType_1048290510_899000>"""

bargetFunctionType_parent = satine.getclass('xsd:string')
class bargetFunctionType(bargetFunctionType_parent):

	__tag__ = 'bargetFunctionType'
	__facets__=bargetFunctionType_parent.__facets__+"""
		<xsd:enumeration value="ALIGNMENT">
		<xsd:enumeration value="MARKER">
		<xsd:enumeration value="REGISTRATION">
		"""

holeDefType_parent = satine.getclass('xsd:string')
class holeDefType(holeDefType_parent):

	__tag__ = 'holeDefType'
	__facets__=holeDefType_parent.__facets__+"""
		<xsd:enumeration value="ELECTRICAL">
		<xsd:enumeration value="MECHANICAL">
		<xsd:enumeration value="TOOLING">
		"""

pinDescFunctionType_parent = satine.getclass('xsd:string')
class pinDescFunctionType(pinDescFunctionType_parent):

	__tag__ = 'pinDescFunctionType'
	__facets__=pinDescFunctionType_parent.__facets__+"""
		<xsd:enumeration value="ANALOG">
		<xsd:enumeration value="ANALOGIN">
		<xsd:enumeration value="ANALOGOUT">
		<xsd:enumeration value="ANODE">
		<xsd:enumeration value="BASE">
		<xsd:enumeration value="BIDIRECTIONAL">
		<xsd:enumeration value="CASE">
		<xsd:enumeration value="CATHODE">
		<xsd:enumeration value="CLOCK">
		<xsd:enumeration value="COLLECTOR">
		<xsd:enumeration value="DIGITAL">
		<xsd:enumeration value="DISABLE">
		<xsd:enumeration value="DRAIN">
		<xsd:enumeration value="DRIVER">
		<xsd:enumeration value="EMITTER">
		<xsd:enumeration value="ENABLE">
		<xsd:enumeration value="GATE">
		<xsd:enumeration value="GROUND">
		<xsd:enumeration value="INACTIVE">
		<xsd:enumeration value="INTNC">
		<xsd:enumeration value="NCLOSED">
		<xsd:enumeration value="NOPEN">
		<xsd:enumeration value="POWER">
		<xsd:enumeration value="RECEIVER">
		<xsd:enumeration value="TCK">
		<xsd:enumeration value="TDI">
		<xsd:enumeration value="TDO">
		<xsd:enumeration value="TMS">
		<xsd:enumeration value="TRST">
		<xsd:enumeration value="WIPER">
		"""

personRefType_parent = shortName
class personRefType(personRefType_parent):

	__tag__ = 'personRefType'
	pass

fillMaterialType_parent = satine.getclass('xsd:string')
class fillMaterialType(fillMaterialType_parent):

	__tag__ = 'fillMaterialType'
	__facets__=fillMaterialType_parent.__facets__+"""
		<xsd:enumeration value="EPOXY">
		<xsd:enumeration value="RESIN">
		<xsd:enumeration value="SOLDER">
		<xsd:enumeration value="SOLDERMASK">
		"""

profileTolRefType_parent = qualifiedName
class profileTolRefType(profileTolRefType_parent):

	__tag__ = 'profileTolRefType'
	pass

isoCodeType_parent = satine.getclass('xsd:string')
class isoCodeType(isoCodeType_parent):

	__tag__ = 'isoCodeType'
	__facets__=isoCodeType_parent.__facets__+"""
		<xsd:enumeration value="AD">
		<xsd:enumeration value="AE">
		<xsd:enumeration value="AF">
		<xsd:enumeration value="AG">
		<xsd:enumeration value="AI">
		<xsd:enumeration value="AL">
		<xsd:enumeration value="AM">
		<xsd:enumeration value="AN">
		<xsd:enumeration value="AO">
		<xsd:enumeration value="AQ">
		<xsd:enumeration value="AR">
		<xsd:enumeration value="AS">
		<xsd:enumeration value="AT">
		<xsd:enumeration value="AU">
		<xsd:enumeration value="AW">
		<xsd:enumeration value="AZ">
		<xsd:enumeration value="BA">
		<xsd:enumeration value="BB">
		<xsd:enumeration value="BD">
		<xsd:enumeration value="BE">
		<xsd:enumeration value="BF">
		<xsd:enumeration value="BG">
		<xsd:enumeration value="BH">
		<xsd:enumeration value="BI">
		<xsd:enumeration value="BJ">
		<xsd:enumeration value="BM">
		<xsd:enumeration value="BN">
		<xsd:enumeration value="BO">
		<xsd:enumeration value="BR">
		<xsd:enumeration value="BS">
		<xsd:enumeration value="BT">
		<xsd:enumeration value="BV">
		<xsd:enumeration value="BW">
		<xsd:enumeration value="BY">
		<xsd:enumeration value="BZ">
		<xsd:enumeration value="CA">
		<xsd:enumeration value="CC">
		<xsd:enumeration value="CF">
		<xsd:enumeration value="CG">
		<xsd:enumeration value="CH">
		<xsd:enumeration value="CI">
		<xsd:enumeration value="CK">
		<xsd:enumeration value="CL">
		<xsd:enumeration value="CM">
		<xsd:enumeration value="CN">
		<xsd:enumeration value="CO">
		<xsd:enumeration value="CR">
		<xsd:enumeration value="CU">
		<xsd:enumeration value="CV">
		<xsd:enumeration value="CX">
		<xsd:enumeration value="CY">
		<xsd:enumeration value="CZ">
		<xsd:enumeration value="DE">
		<xsd:enumeration value="DJ">
		<xsd:enumeration value="DK">
		<xsd:enumeration value="DM">
		<xsd:enumeration value="DO">
		<xsd:enumeration value="DZ">
		<xsd:enumeration value="EC">
		<xsd:enumeration value="EE">
		<xsd:enumeration value="EG">
		<xsd:enumeration value="EH">
		<xsd:enumeration value="ER">
		<xsd:enumeration value="ES">
		<xsd:enumeration value="ET">
		<xsd:enumeration value="FI">
		<xsd:enumeration value="FJ">
		<xsd:enumeration value="FK">
		<xsd:enumeration value="FM">
		<xsd:enumeration value="FO">
		<xsd:enumeration value="FR">
		<xsd:enumeration value="FX">
		<xsd:enumeration value="GA">
		<xsd:enumeration value="GB">
		<xsd:enumeration value="GD">
		<xsd:enumeration value="GE">
		<xsd:enumeration value="GF">
		<xsd:enumeration value="GH">
		<xsd:enumeration value="GI">
		<xsd:enumeration value="GL">
		<xsd:enumeration value="GM">
		<xsd:enumeration value="GN">
		<xsd:enumeration value="GP">
		<xsd:enumeration value="GQ">
		<xsd:enumeration value="GR">
		<xsd:enumeration value="GS">
		<xsd:enumeration value="GT">
		<xsd:enumeration value="GU">
		<xsd:enumeration value="GW">
		<xsd:enumeration value="GY">
		<xsd:enumeration value="HK">
		<xsd:enumeration value="HM">
		<xsd:enumeration value="HN">
		<xsd:enumeration value="HR">
		<xsd:enumeration value="HT">
		<xsd:enumeration value="HU">
		<xsd:enumeration value="ID">
		<xsd:enumeration value="IE">
		<xsd:enumeration value="IL">
		<xsd:enumeration value="IN">
		<xsd:enumeration value="IO">
		<xsd:enumeration value="IQ">
		<xsd:enumeration value="IR">
		<xsd:enumeration value="IS">
		<xsd:enumeration value="IT">
		<xsd:enumeration value="JM">
		<xsd:enumeration value="JO">
		<xsd:enumeration value="JP">
		<xsd:enumeration value="KE">
		<xsd:enumeration value="KG">
		<xsd:enumeration value="KH">
		<xsd:enumeration value="KI">
		<xsd:enumeration value="KM">
		<xsd:enumeration value="KN">
		<xsd:enumeration value="KP">
		<xsd:enumeration value="KR">
		<xsd:enumeration value="KW">
		<xsd:enumeration value="KY">
		<xsd:enumeration value="KZ">
		<xsd:enumeration value="LA">
		<xsd:enumeration value="LB">
		<xsd:enumeration value="LC">
		<xsd:enumeration value="LI">
		<xsd:enumeration value="LK">
		<xsd:enumeration value="LR">
		<xsd:enumeration value="LS">
		<xsd:enumeration value="LT">
		<xsd:enumeration value="LU">
		<xsd:enumeration value="LV">
		<xsd:enumeration value="LY">
		<xsd:enumeration value="MA">
		<xsd:enumeration value="MC">
		<xsd:enumeration value="MD">
		<xsd:enumeration value="MG">
		<xsd:enumeration value="MH">
		<xsd:enumeration value="MK">
		<xsd:enumeration value="ML">
		<xsd:enumeration value="MM">
		<xsd:enumeration value="MN">
		<xsd:enumeration value="MO">
		<xsd:enumeration value="MP">
		<xsd:enumeration value="MQ">
		<xsd:enumeration value="MR">
		<xsd:enumeration value="MS">
		<xsd:enumeration value="MT">
		<xsd:enumeration value="MU">
		<xsd:enumeration value="MV">
		<xsd:enumeration value="MW">
		<xsd:enumeration value="MX">
		<xsd:enumeration value="MY">
		<xsd:enumeration value="MZ">
		<xsd:enumeration value="NA">
		<xsd:enumeration value="NC">
		<xsd:enumeration value="NE">
		<xsd:enumeration value="NF">
		<xsd:enumeration value="NG">
		<xsd:enumeration value="NI">
		<xsd:enumeration value="NL">
		<xsd:enumeration value="NO">
		<xsd:enumeration value="NP">
		<xsd:enumeration value="NR">
		<xsd:enumeration value="NU">
		<xsd:enumeration value="NZ">
		<xsd:enumeration value="OM">
		<xsd:enumeration value="PA">
		<xsd:enumeration value="PE">
		<xsd:enumeration value="PF">
		<xsd:enumeration value="PG">
		<xsd:enumeration value="PH">
		<xsd:enumeration value="PK">
		<xsd:enumeration value="PL">
		<xsd:enumeration value="PM">
		<xsd:enumeration value="PN">
		<xsd:enumeration value="PR">
		<xsd:enumeration value="PT">
		<xsd:enumeration value="PW">
		<xsd:enumeration value="PY">
		<xsd:enumeration value="QA">
		<xsd:enumeration value="RE">
		<xsd:enumeration value="RO">
		<xsd:enumeration value="RU">
		<xsd:enumeration value="RW">
		<xsd:enumeration value="SA">
		<xsd:enumeration value="SB">
		<xsd:enumeration value="SC">
		<xsd:enumeration value="SD">
		<xsd:enumeration value="SE">
		<xsd:enumeration value="SG">
		<xsd:enumeration value="SH">
		<xsd:enumeration value="SI">
		<xsd:enumeration value="SJ">
		<xsd:enumeration value="SK">
		<xsd:enumeration value="SL">
		<xsd:enumeration value="SM">
		<xsd:enumeration value="SN">
		<xsd:enumeration value="SO">
		<xsd:enumeration value="SR">
		<xsd:enumeration value="ST">
		<xsd:enumeration value="SV">
		<xsd:enumeration value="SY">
		<xsd:enumeration value="SZ">
		<xsd:enumeration value="TC">
		<xsd:enumeration value="TD">
		<xsd:enumeration value="TF">
		<xsd:enumeration value="TG">
		<xsd:enumeration value="TH">
		<xsd:enumeration value="TJ">
		<xsd:enumeration value="TK">
		<xsd:enumeration value="TM">
		<xsd:enumeration value="TN">
		<xsd:enumeration value="TO">
		<xsd:enumeration value="TP">
		<xsd:enumeration value="TR">
		<xsd:enumeration value="TT">
		<xsd:enumeration value="TV">
		<xsd:enumeration value="TW">
		<xsd:enumeration value="TZ">
		<xsd:enumeration value="UA">
		<xsd:enumeration value="UG">
		<xsd:enumeration value="UM">
		<xsd:enumeration value="US">
		<xsd:enumeration value="UY">
		<xsd:enumeration value="UZ">
		<xsd:enumeration value="VA">
		<xsd:enumeration value="VC">
		<xsd:enumeration value="VE">
		<xsd:enumeration value="VG">
		<xsd:enumeration value="VI">
		<xsd:enumeration value="VN">
		<xsd:enumeration value="VU">
		<xsd:enumeration value="WF">
		<xsd:enumeration value="WS">
		<xsd:enumeration value="YE">
		<xsd:enumeration value="YT">
		<xsd:enumeration value="YU">
		<xsd:enumeration value="ZA">
		<xsd:enumeration value="ZM">
		<xsd:enumeration value="ZR">
		<xsd:enumeration value="ZW">
		"""

drawingRefType_parent = qualifiedName
class drawingRefType(drawingRefType_parent):

	__tag__ = 'drawingRefType'
	pass

dShapeRefType_parent = qualifiedName
class dShapeRefType(dShapeRefType_parent):

	__tag__ = 'dShapeRefType'
	pass

circleRefType_parent = qualifiedName
class circleRefType(circleRefType_parent):

	__tag__ = 'circleRefType'
	pass

functionCategoryType_parent = satine.getclass('xsd:string')
class functionCategoryType(functionCategoryType_parent):

	__tag__ = 'functionCategoryType'
	__facets__=functionCategoryType_parent.__facets__+"""
		<xsd:enumeration value="ASSEMBLY">
		<xsd:enumeration value="ASSEMBLYTEST">
		<xsd:enumeration value="BOARDFAB">
		<xsd:enumeration value="BOARDTEST">
		<xsd:enumeration value="DISPLAY">
		<xsd:enumeration value="FXITURE">
		"""

rectCenterRefType_parent = qualifiedName
class rectCenterRefType(rectCenterRefType_parent):

	__tag__ = 'rectCenterRefType'
	pass

directionType_parent = satine.getclass('xsd:string')
class directionType(directionType_parent):

	__tag__ = 'directionType'
	__facets__=directionType_parent.__facets__+"""
		<xsd:enumeration value="CCLKW">
		<xsd:enumeration value="CLKW">
		"""

dShapeEndType_parent = satine.getclass('xsd:string')
class dShapeEndType(dShapeEndType_parent):

	__tag__ = 'dShapeEndType'
	__facets__=dShapeEndType_parent.__facets__+"""
		<xsd:enumeration value="CHAMFER">
		<xsd:enumeration value="FILLET">
		<xsd:enumeration value="ROUND">
		"""

enterpriseCodeType_parent = satine.getclass('xsd:string')
class enterpriseCodeType(enterpriseCodeType_parent):

	__tag__ = 'enterpriseCodeType'
	__facets__=enterpriseCodeType_parent.__facets__+"""
		<xsd:enumeration value="DUNNS">
		<xsd:enumeration value="CAGE">
		"""

enterpriseRefType_parent = shortName
class enterpriseRefType(enterpriseRefType_parent):

	__tag__ = 'enterpriseRefType'
	pass

drawingSizeType_parent = satine.getclass('xsd:string')
class drawingSizeType(drawingSizeType_parent):

	__tag__ = 'drawingSizeType'
	__facets__=drawingSizeType_parent.__facets__+"""
		<xsd:enumeration value="A">
		<xsd:enumeration value="A0">
		<xsd:enumeration value="A1">
		<xsd:enumeration value="A2">
		<xsd:enumeration value="A3">
		<xsd:enumeration value="A4">
		<xsd:enumeration value="B">
		<xsd:enumeration value="C">
		<xsd:enumeration value="D">
		<xsd:enumeration value="E">
		<xsd:enumeration value="F">
		"""

spokeEndShapeType_parent = satine.getclass('xsd:string')
class spokeEndShapeType(spokeEndShapeType_parent):

	__tag__ = 'spokeEndShapeType'
	__facets__=spokeEndShapeType_parent.__facets__+"""
		<xsd:enumeration value="PARALLEL">
		<xsd:enumeration value="ROUND">
		<xsd:enumeration value="SQUARE">
		"""

deviceType_parent = satine.getclass('xsd:string')
class deviceType(deviceType_parent):

	__tag__ = 'deviceType'
	__facets__=deviceType_parent.__facets__+"""
		<xsd:enumeration value="ANALOG">
		<xsd:enumeration value="BRIDGE">
		<xsd:enumeration value="CAP">
		<xsd:enumeration value="CONN">
		<xsd:enumeration value="CPCK">
		<xsd:enumeration value="DIAC">
		<xsd:enumeration value="DIODE">
		<xsd:enumeration value="DPCK">
		<xsd:enumeration value="FABCAP">
		<xsd:enumeration value="FABRES">
		<xsd:enumeration value="FUSE">
		<xsd:enumeration value="HYBRID">
		<xsd:enumeration value="IND">
		<xsd:enumeration value="JUMPER">
		<xsd:enumeration value="LED">
		<xsd:enumeration value="LEDPCK">
		<xsd:enumeration value="LOGIC">
		<xsd:enumeration value="NFET">
		<xsd:enumeration value="NJFET">
		<xsd:enumeration value="NPN">
		<xsd:enumeration value="OPAMP">
		<xsd:enumeration value="OPTO">
		<xsd:enumeration value="OTHER">
		<xsd:enumeration value="PCAP">
		<xsd:enumeration value="PFET">
		<xsd:enumeration value="PJFET">
		<xsd:enumeration value="PNP">
		<xsd:enumeration value="RELAY">
		<xsd:enumeration value="RES">
		<xsd:enumeration value="RPCK">
		<xsd:enumeration value="SCR">
		<xsd:enumeration value="SOCKET">
		<xsd:enumeration value="SWITCH">
		<xsd:enumeration value="TCAP">
		<xsd:enumeration value="TRIAC">
		<xsd:enumeration value="VCAP">
		<xsd:enumeration value="VIND">
		<xsd:enumeration value="VR">
		<xsd:enumeration value="VRES">
		<xsd:enumeration value="XFMR">
		<xsd:enumeration value="XTAL">
		<xsd:enumeration value="ZENER">
		"""

powerRefType_parent = qualifiedName
class powerRefType(powerRefType_parent):

	__tag__ = 'powerRefType'
	pass

deliverySystemType_parent = satine.getclass('xsd:string')
class deliverySystemType(deliverySystemType_parent):

	__tag__ = 'deliverySystemType'
	__facets__=deliverySystemType_parent.__facets__+"""
		<xsd:enumeration value="BULK">
		<xsd:enumeration value="CARTRIDGE">
		<xsd:enumeration value="PACK">
		<xsd:enumeration value="REEL">
		<xsd:enumeration value="TRAY">
		<xsd:enumeration value="TUBE">
		"""

consistencyLevelType_parent = satine.getclass('xsd:string')
class consistencyLevelType(consistencyLevelType_parent):

	__tag__ = 'consistencyLevelType'
	__facets__=consistencyLevelType_parent.__facets__+"""
		<xsd:enumeration value="IMAGEMATCHES">
		<xsd:enumeration value="IMAGENOMATCH">
		<xsd:enumeration value="IMAGENONETS">
		<xsd:enumeration value="IMAGEONLY">
		"""

certificationCategoryType_parent = satine.getclass('xsd:string')
class certificationCategoryType(certificationCategoryType_parent):

	__tag__ = 'certificationCategoryType'
	__facets__=certificationCategoryType_parent.__facets__+"""
		<xsd:enumeration value="ASSEMBLYDRAWING">
		<xsd:enumeration value="ASSEMBLYFIXTUREGENERATION">
		<xsd:enumeration value="ASSEMBLYPANEL">
		<xsd:enumeration value="ASSEMBLYPREPTOOLS">
		<xsd:enumeration value="ASSEMBLYTESTFIXTUREGENERATION">
		<xsd:enumeration value="ASSEMBLYTESTGENERATION">
		<xsd:enumeration value="BOARDFABRICATION">
		<xsd:enumeration value="BOARDFIXTUREGENERATION">
		<xsd:enumeration value="BOARDPANEL">
		<xsd:enumeration value="BOARDTESTGENERATION">
		<xsd:enumeration value="COMPONENTPLACEMENT">
		<xsd:enumeration value="DETAILEDDRAWING">
		<xsd:enumeration value="FABRICATIONDRAWING">
		<xsd:enumeration value="GENERALASSEMBLY">
		<xsd:enumeration value="GLUEDOT">
		<xsd:enumeration value="MECHANICALHARDWARE">
		<xsd:enumeration value="MULTIBOARDPARTSLIST">
		<xsd:enumeration value="PHOTOTOOLS">
		<xsd:enumeration value="SCHEMATICDRAWINGS">
		<xsd:enumeration value="SINGLEBOARDPARTSLIST">
		<xsd:enumeration value="SOLDERSTENCILPASTE">
		<xsd:enumeration value="SPECSOURCECONTROLDRAWING">
		"""

certificationStatusType_parent = satine.getclass('xsd:string')
class certificationStatusType(certificationStatusType_parent):

	__tag__ = 'certificationStatusType'
	__facets__=certificationStatusType_parent.__facets__+"""
		<xsd:enumeration value="ALPHA">
		<xsd:enumeration value="BETA">
		<xsd:enumeration value="CERTIFIED">
		<xsd:enumeration value="SELFTEST">
		"""

productSelectorType_parent = satine.getclass('xsd:string')
class productSelectorType(productSelectorType_parent):

	__tag__ = 'productSelectorType'
	__facets__=productSelectorType_parent.__facets__+"""
		<xsd:enumeration value="ASSEMBLY">
		<xsd:enumeration value="BOARD">
		<xsd:enumeration value="FIXTURE">
		<xsd:enumeration value="PANEL">
		"""

routeRefType_parent = qualifiedName
class routeRefType(routeRefType_parent):

	__tag__ = 'routeRefType'
	pass

comparitorType_parent = satine.getclass('xsd:string')
class comparitorType(comparitorType_parent):

	__tag__ = 'comparitorType'
	__facets__=comparitorType_parent.__facets__+"""
		<xsd:enumeration value="EQ">
		<xsd:enumeration value="NE">
		<xsd:enumeration value="GT">
		<xsd:enumeration value="LT">
		<xsd:enumeration value="GE">
		<xsd:enumeration value="LE">
		<xsd:enumeration value="GTLT">
		<xsd:enumeration value="GELE">
		<xsd:enumeration value="GTLE">
		<xsd:enumeration value="GELT">
		<xsd:enumeration value="LTGT">
		<xsd:enumeration value="LEGE">
		<xsd:enumeration value="LTGE">
		<xsd:enumeration value="LEGT">
		"""

defaultProfileToleranceRefType_parent = qualifiedName
class defaultProfileToleranceRefType(defaultProfileToleranceRefType_parent):

	__tag__ = 'defaultProfileToleranceRefType'
	pass

preparationTypeType_parent = satine.getclass('xsd:string')
class preparationTypeType(preparationTypeType_parent):

	__tag__ = 'preparationTypeType'
	__facets__=preparationTypeType_parent.__facets__+"""
		<xsd:enumeration value="CLINCH">
		<xsd:enumeration value="CLINCHLENGTH">
		<xsd:enumeration value="LEADBEND">
		<xsd:enumeration value="LEADLENGTH">
		<xsd:enumeration value="OTHER">
		<xsd:enumeration value="PREPCODE">
		"""

packageRefType_parent = qualifiedName
class packageRefType(packageRefType_parent):

	__tag__ = 'packageRefType'
	pass

padStackRefType_parent = qualifiedName
class padStackRefType(padStackRefType_parent):

	__tag__ = 'padStackRefType'
	pass

productInstanceType_parent = satine.getclass('xsd:string')
class productInstanceType(productInstanceType_parent):

	__tag__ = 'productInstanceType'
	__facets__=productInstanceType_parent.__facets__+"""
		<xsd:pattern value="[a-zA-Z][a-zA-Z0-9_-]*">
		"""

panelRefType_parent = shortName
class panelRefType(panelRefType_parent):

	__tag__ = 'panelRefType'
	pass

assemblyRefType_parent = shortName
class assemblyRefType(assemblyRefType_parent):

	__tag__ = 'assemblyRefType'
	pass

versionType_parent = satine.getclass('xsd:string')
class versionType(versionType_parent):

	__tag__ = 'versionType'
	__facets__=versionType_parent.__facets__+"""
		<xsd:pattern value="B-2.[0-9]+">
		"""

layerSurfaceType_parent = satine.getclass('xsd:string')
class layerSurfaceType(layerSurfaceType_parent):

	__tag__ = 'layerSurfaceType'
	__facets__=layerSurfaceType_parent.__facets__+"""
		<xsd:enumeration value="ALL">
		<xsd:enumeration value="BOTH">
		<xsd:enumeration value="BOTTOM">
		<xsd:enumeration value="INTERNAL">
		<xsd:enumeration value="NOTAPPLICABLE">
		<xsd:enumeration value="TOP">
		"""

polylineRefType_parent = qualifiedName
class polylineRefType(polylineRefType_parent):

	__tag__ = 'polylineRefType'
	pass

supplyRefType_parent = qualifiedName
class supplyRefType(supplyRefType_parent):

	__tag__ = 'supplyRefType'
	pass

lineDescRefType_parent = qualifiedName
class lineDescRefType(lineDescRefType_parent):

	__tag__ = 'lineDescRefType'
	pass

rectRoundRefType_parent = qualifiedName
class rectRoundRefType(rectRoundRefType_parent):

	__tag__ = 'rectRoundRefType'
	pass

targetRefType_parent = qualifiedName
class targetRefType(targetRefType_parent):

	__tag__ = 'targetRefType'
	pass

rectCornerRefType_parent = qualifiedName
class rectCornerRefType(rectCornerRefType_parent):

	__tag__ = 'rectCornerRefType'
	pass

familyRefType_parent = qualifiedName
class familyRefType(familyRefType_parent):

	__tag__ = 'familyRefType'
	pass

fixtureRefType_parent = shortName
class fixtureRefType(fixtureRefType_parent):

	__tag__ = 'fixtureRefType'
	pass

holeRefType_parent = qualifiedName
class holeRefType(holeRefType_parent):

	__tag__ = 'holeRefType'
	pass

paintDescRefType_parent = qualifiedName
class paintDescRefType(paintDescRefType_parent):

	__tag__ = 'paintDescRefType'
	pass

testProbeType_parent = satine.getclass('xsd:string')
class testProbeType(testProbeType_parent):

	__tag__ = 'testProbeType'
	__facets__=testProbeType_parent.__facets__+"""
		<xsd:enumeration value="DUALSTAGE">
		<xsd:enumeration value="ICT">
		<xsd:enumeration value="ROBOTIC">
		<xsd:enumeration value="TRANSFER">
		"""

productInstanceRefType_parent = satine.getclass('xsd:string')
class productInstanceRefType(productInstanceRefType_parent):

	__tag__ = 'productInstanceRefType'
	__facets__=productInstanceRefType_parent.__facets__+"""
		<xsd:pattern value="[/a-zA-Z][a-zA-Z0-9/_-]*">
		"""

drawGroupIdType_parent = qualifiedName
class drawGroupIdType(drawGroupIdType_parent):

	__tag__ = 'drawGroupIdType'
	pass

deviceRefType_parent = qualifiedName
class deviceRefType(deviceRefType_parent):

	__tag__ = 'deviceRefType'
	pass

refDesType_parent = qualifiedName
class refDesType(refDesType_parent):

	__tag__ = 'refDesType'
	pass

roleRefType_parent = shortName
class roleRefType(roleRefType_parent):

	__tag__ = 'roleRefType'
	pass

valueType_parent = satine.getclass('xsd:string')
class valueType(valueType_parent):

	__tag__ = 'valueType'
	__facets__=valueType_parent.__facets__+"""
		<xsd:enumeration value="AMP">
		<xsd:enumeration value="FARAD">
		<xsd:enumeration value="HENRY">
		<xsd:enumeration value="HERTZ">
		<xsd:enumeration value="JOULE">
		<xsd:enumeration value="LUMEN">
		<xsd:enumeration value="OHM">
		<xsd:enumeration value="VOLT">
		<xsd:enumeration value="WATT">
		"""


class Alias(satine.xlist):
	__attrs__='<xsd:string use="required">enterprisePartId<time:enterpriseRefType use="required">enterpriseRef<xsd:string>revision'

class Alternate(satine.xlist):
	__attrs__='<xsd:string use="required">enterprisePartId<time:enterpriseRefType use="required">enterpriseRef<xsd:string>revision'

class Artwork(satine.xlist):
	__attrs__='<time:qualifiedName use="required">id'
	__items__='<ShapeBuilder>*|<Text>*|<LogoRef>*|<ArtworkRef>*'

class Artworks(satine.xlist):
	__items__='<Artwork>*'

class Assemblies(satine.xlist):
	__items__='<Assembly>*'

class Assembly(satine.xlist):
	__attrs__='<time:assemblyRefType use="required">assemblyRef<time:boardOrPanelRefType use="required">boardOrPanelRef'
	__items__='<ComponentPlacementRefs>*<PowerSupplyRefs>*<TestConnectRefs>*<DrawingRefs>*<DesignRules>*'

class BalancedImpedance(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">ohmValue<time:nonNegativeDouble>negTol<time:nonNegativeDouble>posTol<time:routeRefType use="required">routeRef<time:routeRefType use="required">routePlaneRef'

class BareBoardTest(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">continuityVoltage<time:nonNegativeDouble use="required">continuityCurrent<time:nonNegativeDouble use="required">isolationVoltage<time:qualifiedName use="required">id'

class Barrel(satine.xlist):
	__attrs__='<time:barrelTypeType use="required">barrelType<time:barrelMaterialType>material<time:nonNegativeDouble use="required">minThickness<time:nonNegativeDouble use="required">maxThickness'

class BarrelDesc(satine.xlist):
	__attrs__='<time:fillMaterialType>fillMaterial<time:qualifiedName use="required">id'
	__items__='<Barrel>*'

class BarrelDescs(satine.xlist):
	__items__='<BarrelDesc>*'

class Bilateral(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2'

class Board(satine.xlist):
	__attrs__='<time:boardRefType use="required">boardRef'
	__items__='<Outline>*<Cutout>*<Well>*<Slot>*<Keepout>*<HoleRef>*<Groove>*(<LogoRef>*|<TargetRef>*|<Text>*|<Image>*|<MountingLocationRef>*|<RouteRef>*)<BareBoardTest>*<DrawingRefs>*<DesignRules>*'

class Boards(satine.xlist):
	__items__='<Board>*'

class Body(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef<time:layersRefType use="required">layersRef'

class Capacitance(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">faradValue<time:nonNegativeDouble>negTol<time:nonNegativeDouble>posTol<time:routeRefType use="required">routeRef'

class Certification(satine.xlist):
	__attrs__='<time:certificationStatusType use="required">certificationStatus<time:certificationCategoryType>certificationCategory'

class CircArcTo(satine.xlist):
	__attrs__='<time:point use="required">center<time:point use="required">endXY<time:directionType>direction'

class CircArc(satine.xlist):
	__attrs__='<time:point use="required">center<time:point use="required">startXY<time:point use="required">endXY<time:directionType>direction<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class Circle(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">diameter<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class CircleDef(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">diameter<time:qualifiedName use="required">id'

class CircleRef(satine.xlist):
	__attrs__='<time:circleRefType use="required">circleRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class ClosedShape(satine.xlist):
	pass

class Color(satine.xlist):
	__attrs__='<xsd:unsignedByte use="required">r<xsd:unsignedByte use="required">g<xsd:unsignedByte use="required">b<time:qualifiedName use="required">id'

class Colors(satine.xlist):
	__items__='<Color>*'

class ComponentPin(satine.xlist):
	__attrs__='<time:mountingLocationRef use="required">mountingLocationRef<time:patternPinRefType use="required">patternPinRef<time:point>testPoint<time:accessDescType>accessDesc'

class ComponentPinRef(satine.xlist):
	__attrs__='<time:componentPinRefType use="required">componentPinRef<time:patternPinRefType use="required">patternPinRef'

class ComponentPlacement(satine.xlist):
	__attrs__='<time:refDesRefType use="required">refDesRef<time:layersRefType use="required">layersRef'
	__items__='<Offset>*<DeviceRef>*<MechanicalRef>*<Program>*<PinDescs>*<Preparation>*<Presentation>*<Keepout>*<OnFail>*'

class ComponentPlacementRef(satine.xlist):
	__attrs__='<time:refDesRefType use="required">refDesRef<time:profileTolRefType>profileTolRef'

class ComponentPlacementRefs(satine.xlist):
	__items__='<ComponentPlacementRef>*'

class ComponentPlacements(satine.xlist):
	__items__='<ComponentPlacement>*'

class Cutout(satine.xlist):
	__attrs__='<time:barrelDescRefType>barrelDescRef<time:profileTolRefType>profileTolRef<time:layersRefType use="required">layersRef<time:locationTolRefType>locationTolRef<time:qualifiedName use="required">id'
	__items__='<ClosedShape>*'

class DesignRuleSet(satine.xlist):
	__attrs__='<xsd:string>comment<xsd:string use="required">ruleSetURL<time:qualifiedName use="required">id'
	__items__='<ResultSet>*'

class DesignRules(satine.xlist):
	__items__='<DesignRuleSet>*'

class Device(satine.xlist):
	__attrs__='<time:packageRefType use="required">packageRef<time:familyRefType>familyRef<time:deviceType use="required">type<time:qualifiedName use="required">id'
	__items__='<Part>*<Alias>*<Alternate>*<PinDescs>*<Program>*<NumericValue>*<EnumeratedValue>*'

class DeviceRef(satine.xlist):
	__attrs__='<time:processType>process<time:deviceRefType use="required">deviceRef'
	__items__='<Place>*'

class Devices(satine.xlist):
	__items__='<Device>*'

class Diameter(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">toleranceZone'

class Diamond(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class DiamondDef(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:qualifiedName use="required">id'

class DiamondRef(satine.xlist):
	__attrs__='<time:diamondRefType use="required">diamondRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class Donut(satine.xlist):
	__attrs__='<time:donutShapeType use="required">shape<time:nonNegativeDouble use="required">outerDiameter<time:nonNegativeDouble use="required">innerDiameter<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class DonutDef(satine.xlist):
	__attrs__='<time:donutShapeType use="required">shape<time:nonNegativeDouble use="required">outerDiameter<time:nonNegativeDouble use="required">innerDiameter<time:qualifiedName use="required">id'

class DonutRef(satine.xlist):
	__attrs__='<time:donutRefType use="required">donutRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class DrawGroup(satine.xlist):
	__attrs__='<time:drawGroupIdType use="required">drawGroupId'
	__items__='<ArtworkRef>*|<LogoRef>*|<ShapeBuilder>*|<Text>*|<DrawGroupRef>*'

class DrawGroupRef(satine.xlist):
	__attrs__='<time:drawGroupRefType use="required">drawGroupRef'
	__items__='<Xform>*'

class Drawing(satine.xlist):
	__attrs__='<xsd:string use="required">name<xsd:string use="required">number<xsd:string use="required">revision<time:drawingType use="required">type<xsd:dateTime use="required">date<time:drawingSizeType>size<time:shortName use="required">id'
	__items__='<Sheet>*|<ExternalDrawing>*'

class DrawingRef(satine.xlist):
	__attrs__='<time:drawingRefType use="required">drawingRef'

class DrawingRefs(satine.xlist):
	__items__='<DrawingRef>*'

class Drawings(satine.xlist):
	__items__='<Drawing>*'

class DShape(satine.xlist):
	__attrs__='<time:dShapeEndType use="required">endShape<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:nonNegativeDouble>corner<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class DShapeDef(satine.xlist):
	__attrs__='<time:dShapeEndType use="required">endShape<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:nonNegativeDouble>corner<time:qualifiedName use="required">id'

class DShapeRef(satine.xlist):
	__attrs__='<time:dShapeRefType use="required">dShapeRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class EllipArc(satine.xlist):
	__attrs__='<time:point use="required">startXY<time:point use="required">endXY<time:point use="required">focus1<time:point use="required">focus2<time:directionType>direction<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'

class EllipArcTo(satine.xlist):
	__attrs__='<time:point use="required">endXY<time:point use="required">focus1<time:point use="required">focus2<time:directionType>direction'

class EndCircArc(satine.xlist):
	__attrs__='<time:point use="required">center<time:directionType>direction'

class EndEllipArc(satine.xlist):
	__attrs__='<time:point use="required">focus1<time:point use="required">focus2<time:directionType>direction'

class EndLine(satine.xlist):
	pass

class Enterprise(satine.xlist):
	__attrs__='<xsd:string use="required">name<xsd:string>address1<xsd:string>address2<xsd:string>city<xsd:string>stateProvice<time:isoCodeType>country<xsd:string>postalCode<xsd:string>phone<xsd:string>fax<xsd:string>email<xsd:anyURI>url<xsd:string>code<time:enterpriseCodeType>codeType<time:shortName use="required">id'
	__items__='<RoleRef>*'

class Enterprises(satine.xlist):
	__items__='<Enterprise>*'

class EnumeratedValue(satine.xlist):
	__attrs__='<time:enumeratedValueType use="required">typeRef<xsd:string use="required">value'

class ExternalDrawing(satine.xlist):
	__attrs__='<xsd:anyURI use="required">url<time:mimeType use="required">drawingFormat'

class Families(satine.xlist):
	__items__='<Family>*'

class Family(satine.xlist):
	__attrs__='<xsd:double use="required">driveHigh<xsd:double use="required">driveLow<xsd:double use="required">receiveHigh<xsd:double use="required">receiveLow<time:openInputLogicType use="required">openInputLogic<time:nonNegativeDouble use="required">edgeSpeed<time:loadType use="required">load<time:qualifiedName use="required">id'

class Feature(satine.xlist):
	__attrs__='<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef<time:qualifiedName use="required">id'
	__items__='<ShapeBuilder>*'

class FeatureRef(satine.xlist):
	__attrs__='<time:featureRefType use="required">featureRef<time:layersRefType use="required">layersRef<time:colorRefType>colorRef'
	__items__='<Place>*'

class Features(satine.xlist):
	__items__='<Feature>*'

class FileRevision(satine.xlist):
	__attrs__='<xsd:dateTime use="required">modificationTime<xsd:string use="required">fileRevisionId<xsd:string use="required">comment<xsd:string>label'
	__items__='<SoftwarePackage>*'

class Fixture(satine.xlist):
	__attrs__='<time:fixtureRefType use="required">fixtureRef<time:applicationType use="required">application<time:fixtureFunctionType>function'
	__items__='<Outline>*<Cutout>*<Well>*<Slot>*<Keepout>*<HoleRef>*<Placement>*'

class FixtureElectronic(satine.xlist):
	__attrs__='<time:qualifiedName use="required">id'
	__items__='<Offset>*'

class FixtureElectronicRef(satine.xlist):
	__attrs__='<time:fixtureElectronicRefType use="required">fixtureElectronicRef'

class FixtureElectronics(satine.xlist):
	__items__='<FixtureElectronic>*'

class Fixtures(satine.xlist):
	__items__='<Fixture>*'

class Font(satine.xlist):
	__attrs__='<xsd:anyURI use="required">url<time:qualifiedName use="required">id'

class Fonts(satine.xlist):
	__items__='<Font>*<UFont>*'

class Frame(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef'
	__items__='<Offset>*'

class GenCAM(satine.xlist):
	__attrs__='<time:versionType use="required">version'
	__items__='<Header>*<Namespaces>*<RegisteredResources>*<Roles>*<Enterprises>*<Persons>*<TruePositionTolerances>*<ProfileTolerances>*<Products>*<Colors>*<LineDescs>*<PaintDescs>*<BarrelDescs>*<PrimitiveShapes>*<Features>*<Targets>*<Fonts>*<Logos>*<Artworks>*<Layers>*<Pads>*<Holes>*<PadStacks>*<Patterns>*<MountingLocations>*<Packages>*<Families>*<SchSymbols>*<Devices>*<Mechanicals>*<ComponentPlacements>*<Routes>*<Boards>*<Assemblies>*<Panels>*<PowerSupplies>*<Fixtures>*<Drawings>*<TestPins>*<TestProbes>*<FixtureElectronics>*<TestConnects>*<Changes>*'

class GeneratedBy(satine.xlist):
	__attrs__='<xsd:string use="required">softwarePackage<xsd:string use="required">revision'
	__items__='<Certification>*'

class Glyph(satine.xlist):
	__attrs__='<xsd:string use="required">charCode<time:point use="required">p1<time:point use="required">p2'
	__items__='<ShapeBuilder>*'

class Groove(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">nominalAngle<time:surfaceType use="required">surface<time:cutModeType use="required">cutMode<time:nonNegativeDouble use="required">remValue<time:nonNegativeDouble>grooveWidth<time:profileTolRefType>profileTolRef<time:locationTolRefType>locationTolRef<time:qualifiedName use="required">id'
	__items__='<PolylineBuilder>*'

class Header(satine.xlist):
	__items__='<GeneratedBy>*<History>*<Units>*<Language>*'

class Hexagon(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">pointToPoint<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class HexagonDef(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">pointToPoint<time:qualifiedName use="required">id'

class HexagonRef(satine.xlist):
	__attrs__='<time:hexagonRefType use="required">hexagonRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class HighPotTest(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">ohmValue<time:nonNegativeDouble>posTol<time:nonNegativeDouble>negTol<time:nonNegativeDouble use="required">testVoltage<time:routeRefType use="required">routeRef'

class History(satine.xlist):
	__attrs__='<time:historyNumberType use="required">number<xsd:dateTime use="required">origination<xsd:dateTime use="required">lastChange<xsd:anyURI>externalConfigurationControlEntryPoint'
	__items__='<FileRevision>*'

class Hole(satine.xlist):
	__attrs__='<time:holeDefType use="required">type<time:primitiveRefType use="required">primitiveRef<time:barrelDescRefType>barrelDescRef<time:profileTolRefType>profileTolRef<time:layersRefType use="required">layersRef<time:artworkRefType>displayGraphics<time:qualifiedName use="required">id'

class HoleRef(satine.xlist):
	__attrs__='<time:holeRefType use="required">holeRef<time:locationTolRefType>locationTolRef'
	__items__='<Position>*'

class Holes(satine.xlist):
	__items__='<Hole>*'

class Image(satine.xlist):
	__attrs__='<time:imageRefType use="required">imageRef<time:layersRefType use="required">layersRef<time:consistencyLevelType use="required">consistencyLevel<time:colorRefType>colorRef<time:imageSourceType>source<time:qualifiedName use="required">id'
	__items__='<Place>*'

class Images(satine.xlist):
	__items__='<Image>*'

class Inductance(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">henryValue<time:nonNegativeDouble>negTol<time:nonNegativeDouble>posTol'

class InsertLayer(satine.xlist):
	__attrs__='<time:productRefType use="required">productRef<time:layerSingleRefType use="required">layerSingleRef<time:point>p1clip<time:point>p2clip<time:nonNegativeDouble>alpha<time:colorRefType>colorRef'
	__items__='<Xform>*'

class Keepout(satine.xlist):
	__attrs__='<time:keepoutType use="required">type<time:layersRefType use="required">layersRef'
	__items__='<ClosedShape>*'

class Language(satine.xlist):
	__attrs__='<time:langCode use="required">lang'

class Layer(satine.xlist):
	__attrs__='<time:layersRefType use="required">layersRef'

class LayerSet(satine.xlist):
	__attrs__='<time:nonNegativeDouble>thickness<time:profileTolRefType>profileTolRef<time:qualifiedName use="required">id'
	__items__='<Layer>*<PreferredVendors>*'

class LayerSingle(satine.xlist):
	__attrs__='<time:layerSurfaceType use="required">surface<time:layerTypeType use="required">type<time:materialType>material<time:materialCodeType>materialCode<time:nonNegativeDouble>thickness<time:profileTolRefType>profileTolRef<time:colorRefType>colorRef<time:functionCategoryType use="required">functionCategory<time:qualifiedName use="required">id'

class LayerSwap(satine.xlist):
	__attrs__='<time:layerSingleRefType use="required">originalLayer<time:layerSingleRefType use="required">swapWithLayer<time:qualifiedName use="required">id'

class Layers(satine.xlist):
	__items__='<LayerSingle>*<LayerSet>*<LayerSwap>*'

class Line(satine.xlist):
	__attrs__='<time:point use="required">startXY<time:point use="required">endXY<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'

class LineDesc(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:modEndType>modEnd<time:colorRefType>colorRef<time:lineTypeType>type<time:nonNegativeDouble>space<time:nonNegativeDouble>length<time:lineModType>lineMod<time:lineEndType>lineEnd<time:nonNegativeDouble>dimA<time:nonNegativeDouble>dimB<time:nonNegativeDouble>dimC<time:qualifiedName use="required">id'

class LineDescs(satine.xlist):
	__items__='<LineDesc>*'

class LineTo(satine.xlist):
	__attrs__='<time:point use="required">endXY'

class Location(satine.xlist):
	__attrs__='<time:layersRefType use="required">layersRef'
	__items__='<Offset>*'

class Logo(satine.xlist):
	__attrs__='<time:colorRefType>colorRef<time:qualifiedName use="required">id'
	__items__='<ShapeBuilder>*|<Text>*'

class LogoRef(satine.xlist):
	__attrs__='<time:logoRefType use="required">logoRef<time:colorRefType>colorRef'
	__items__='<Xform>*'

class Logos(satine.xlist):
	__items__='<Logo>*'

class MaximumMaterialConditionDiameter(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">mmcToleranceZone'

class Mechanical(satine.xlist):
	__attrs__='<time:nonNegativeDouble>height<time:nonNegativeDouble>standoff<time:qualifiedName use="required">id'
	__items__='<Part>*<Alias>*<Alternate>*<ArtworkRef>*'

class MechanicalRef(satine.xlist):
	__attrs__='<time:mechanicalRefType use="required">mechanicalRef'
	__items__='<Place>*'

class Mechanicals(satine.xlist):
	__items__='<Mechanical>*'

class MountingLocation(satine.xlist):
	__attrs__='<time:qualifiedName use="required">refDes<time:layersRefType use="required">layersRef'
	__items__='<Place>*<PatternRef>*<ArtworkRef>*<Text>*<Keepout>*<PatternPadRef>*'

class MountingLocationRef(satine.xlist):
	__attrs__='<time:refDesRefType use="required">refDesRef<time:profileTolRefType>profileTolRef'

class MountingLocationRefs(satine.xlist):
	__items__='<MountingLocationRef>*'

class MountingLocations(satine.xlist):
	__items__='<MountingLocation>*'

class Namespace(satine.xlist):
	__attrs__='<time:prefixType use="required">prefix<xsd:anyURI use="required">uri<xsd:string>description'

class Namespaces(satine.xlist):
	__items__='<Namespace>*'

class Net(satine.xlist):
	__attrs__='<time:routeRefType use="required">netRef'
	__items__='<PolylineBuilder>*<Text>*'

class NumericValue(satine.xlist):
	__attrs__='<xsd:double>nominal<xsd:double>minimum<xsd:double>maximum<time:PositionType>position<time:valueType>units<xsd:double>decade<time:comparitorType>comparitor'

class Octagon(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">pointToPoint<time:lineDescRefType>lineDescRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef'
	__items__='<Place>*'

class OctagonDef(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">pointToPoint<time:qualifiedName use="required">id'

class OctagonRef(satine.xlist):
	__attrs__='<time:octagonRefType use="required">octagonRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class Offset(satine.xlist):
	__attrs__='<xsd:double>x<xsd:double>y'

class OnFail(satine.xlist):
	__attrs__='<xsd:string use="required">textString'

class Outline(satine.xlist):
	__attrs__='<time:layersRefType use="required">layersRef<time:profileTolRefType>profileTolRef<time:qualifiedName use="required">id'
	__items__='<ClosedShape>*<Thickness>*'

class Oval(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class OvalDef(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:qualifiedName use="required">id'

class OvalRef(satine.xlist):
	__attrs__='<time:ovalRefType use="required">ovalRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class Package(satine.xlist):
	__attrs__='<time:packageTypeType>type<time:nonNegativeDouble>height<time:nonNegativeDouble>standoff<time:point>centroid<time:truePositionTolRefType>locationTolRef<time:qualifiedName use="required">id'
	__items__='<Body>*<TargetRef>*<Pin>*<PinOne>*'

class Packages(satine.xlist):
	__items__='<Package>*'

class Pad(satine.xlist):
	__attrs__='<time:padPrimitiveRefType use="required">padPrimitiveRef<time:profileTolRefType>profileTolRef<time:paintDescRefType use="required">paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef<time:qualifiedName use="required">id'

class PadLocation(satine.xlist):
	__attrs__='<time:padStackRefType use="required">padStackRef<time:pinName use="required">patternPinName'
	__items__='<Place>*'

class PadRef(satine.xlist):
	__attrs__='<time:padRefType use="required">padRef<time:layersRefType use="required">layersRef<time:locationTolRefType>locationTolRef'
	__items__='<Position>*'

class Pads(satine.xlist):
	__items__='<Pad>*'

class PadStack(satine.xlist):
	__attrs__='<time:qualifiedName use="required">id'
	__items__='<PadRef>*|<ArtworkRef>*|<HoleRef>*'

class PadStacks(satine.xlist):
	__items__='<PadStack>*'

class PaintDesc(satine.xlist):
	__attrs__='<time:paintTypeType>type<time:colorRefType>colorRef<time:nonNegativeDouble>lineWidth<time:nonNegativeDouble>pitch1<time:nonNegativeDouble>pitch2<time:nonNegativeDouble>angle1<time:nonNegativeDouble>angle2<time:qualifiedName use="required">id'

class PaintDescs(satine.xlist):
	__items__='<PaintDesc>*'

class Panel(satine.xlist):
	__attrs__='<time:panelRefType use="required">panelRef'
	__items__='<Outline>*<Cutout>*<Well>*<Slot>*<Keepout>*<HoleRef>*<Groove>*<Placement>*((<TargetRef>*|<LogoRef>*|<Text>*|<Image>*|<MountingLocationRef>*|<RouteRefs>*))<BareBoardTest>*<DrawingRefs>*<DesignRules>*'

class Panels(satine.xlist):
	__items__='<Panel>*'

class Part(satine.xlist):
	__attrs__='<xsd:string use="required">enterprisePartId<time:enterpriseRefType use="required">enterpriseRef<xsd:string>revision'

class Path(satine.xlist):
	__attrs__='<time:lineDescRefType use="required">lineDescRef<time:profileTolRefType>profileTolRef<time:layerSingleRefType use="required">layerSingleRef'
	__items__='<PolylineBuilder>*'

class Pattern(satine.xlist):
	__attrs__='<time:colorRefType>colorRef<time:qualifiedName use="required">id'
	__items__='<PadLocation>*|<TargetRef>*|<FeatureRef>*|<ArtworkRef>*|<Text>*|<HoleRef>*'

class PatternPadRef(satine.xlist):
	__attrs__='<time:patternPinRefType use="required">patternPinRef<time:padRefType use="required">padRef<time:layersRefType use="required">layersRef<time:locationTolRefType>locationTolRef'
	__items__='<Position>*'

class PatternRef(satine.xlist):
	__attrs__='<time:patternRefType use="required">patternRef'
	__items__='<Place>*'

class Patterns(satine.xlist):
	__items__='<Pattern>*'

class Person(satine.xlist):
	__attrs__='<xsd:string use="required">name<time:enterpriseRefType use="required">enterpriseRef<xsd:string>title<xsd:string>email<xsd:string>phone<xsd:string>fax<xsd:string>mailstop<xsd:base64Binary>publicKey<time:shortName use="required">id'
	__items__='<RoleRef>*'

class Persons(satine.xlist):
	__items__='<Person>*'

class Pin(satine.xlist):
	__attrs__='<time:patternPinRefType use="required">patternPinRef<time:pinTypeType>type<xsd:string>exit<time:artworkRefType>shadow'
	__items__='<Position>*'

class PinDesc(satine.xlist):
	__attrs__='<time:patternPinRefType use="required">patternPinRef<time:pinDescFunctionType>function<time:circuitNumberType>circuitNumber<time:schSymbolRefType>schSymbolRef<time:symPinRefType>symPinRef<time:familyRefType>familyRef'

class PinDescs(satine.xlist):
	__items__='<PinDesc>*'

class PinOne(satine.xlist):
	__attrs__='<time:patternPinRefType use="required">patternPinRef'

class Place(satine.xlist):
	__attrs__='<xsd:double>x<xsd:double>y<time:nonNegativeDouble>rotation<time:mirrorType>mirror'

class Placement(satine.xlist):
	__attrs__='<time:productRefType use="required">productRef<time:productInstanceType use="required">productInstanceId'
	__items__='<Place>*'

class Plane(satine.xlist):
	__attrs__='<time:paintDescRefType use="required">paintDescRef<time:layerSingleRefType use="required">layerSingleRef'
	__items__='<PolygonBuilder>*'

class Polygon(satine.xlist):
	__attrs__='<time:point use="required">startXY<time:lineDescRefType>lineDescRef<time:colorRefType>colorRef<time:paintDescRefType>paintDescRef'
	__items__='(<LineTo>*|<CircArcTo>*|<EllipArcTo>*)(<EndLine>*|<EndCircArc>*|<EndEllipArc>*)'

class PolygonBuilder(satine.xlist):
	pass

class PolygonDef(satine.xlist):
	__attrs__='<time:point use="required">startXY<time:qualifiedName use="required">id'
	__items__='(<LineTo>*|<CircArcTo>*|<EllipArcTo>*)(<EndLine>*|<EndCircArc>*|<EndEllipArc>*)'

class PolygonRef(satine.xlist):
	__attrs__='<time:polygonRefType use="required">polygonRef<time:lineDescRefType>lineDescRef<time:colorRefType>colorRef<time:paintDescRefType>paintDescRef'
	__items__='<Place>*'

class Polyline(satine.xlist):
	__attrs__='<time:lineDescRefType>lineDescRef<time:colorRefType>colorRef<time:point use="required">startXY'
	__items__='<LineTo>*|<CircArcTo>*|<EllipArcTo>*'

class PolylineBuilder(satine.xlist):
	pass

class PolylineDef(satine.xlist):
	__attrs__='<time:point use="required">startXY<time:qualifiedName use="required">id'
	__items__='<LineTo>*|<CircArcTo>*|<EllipArcTo>*'

class PolylineRef(satine.xlist):
	__attrs__='<time:polylineRefType use="required">polylineRef<time:lineDescRefType>lineDescRef<time:colorRefType>colorRef'
	__items__='<Place>*'

class Position(satine.xlist):
	__attrs__='<xsd:double>x<xsd:double>y<time:nonNegativeDouble>rotation'

class PowerSupply(satine.xlist):
	__attrs__='<xsd:double use="required">voltage<time:nonNegativeDouble use="required">currentLimit<time:routeRefType use="required">routeRef<time:routeRefType use="required">routePlaneRef<time:qualifiedName use="required">id'

class PowerSupplyRef(satine.xlist):
	__attrs__='<time:qualifiedName use="required">powerSupplyRef'

class PowerSupplyRefs(satine.xlist):
	__items__='<PowerSupplyRef>*'

class PreferredVendor(satine.xlist):
	__attrs__='<time:enterpriseRefType use="required">enterpriseRef<time:personRefType>personRef'

class PreferredVendors(satine.xlist):
	__items__='<PreferredVendor>*'

class Preparation(satine.xlist):
	__attrs__='<xsd:string use="required">name<time:preparationTypeType use="required">type<time:drawingRefType>drawingRef'

class Presentation(satine.xlist):
	__attrs__='<time:deliverySystemType use="required">deliverySystem<xsd:string>configuration<xsd:string>other'

class PrimitiveShapes(satine.xlist):
	__items__='<CircleDef>*|<RectCornerDef>*|<RectCenterDef>*|<RectChamDef>*|<RectRoundDef>*|<OvalDef>*|<DShapeDef>*|<HexagonDef>*|<DiamondDef>*|<OctagonDef>*|<DonutDef>*|<Thermal>*|<PolygonDef>*|<PolylineDef>*'

class Product(satine.xlist):
	__attrs__='<xsd:string use="required">name<xsd:string use="required">number<xsd:string use="required">revision<time:productSelectorType use="required">type<time:shortName use="required">id'
	__items__='<Transaction>*<PreferredVendors>*'

class Products(satine.xlist):
	__items__='<Product>*'

class ProfileTolerance(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">finishedLMC<time:nonNegativeDouble use="required">finishedMMC<time:nonNegativeDouble>startLMC<time:nonNegativeDouble>startMMC<time:qualifiedName use="required">id'

class ProfileTolerances(satine.xlist):
	__items__='<ProfileTolerance>*'

class Program(satine.xlist):
	__attrs__='<xsd:string use="required">name<time:enterpriseRefType use="required">enterpriseRef<xsd:string use="required">revision<xsd:dateTime>programDate'

class RectCenter(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class RectCenterDef(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:qualifiedName use="required">id'

class RectCenterRef(satine.xlist):
	__attrs__='<time:rectCenterRefType use="required">rectCenterRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class RectCham(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:nonNegativeDouble use="required">chamfer<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class RectChamDef(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:nonNegativeDouble use="required">chamfer<time:qualifiedName use="required">id'

class RectChamRef(satine.xlist):
	__attrs__='<time:rectChamRefType use="required">rectChamRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class RectCorner(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class RectCornerDef(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:qualifiedName use="required">id'

class RectCornerRef(satine.xlist):
	__attrs__='<time:rectCornerRefType use="required">rectCornerRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class RectRound(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:nonNegativeDouble use="required">radius<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class RectRoundDef(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:nonNegativeDouble use="required">height<time:nonNegativeDouble use="required">radius<time:qualifiedName use="required">id'

class RectRoundRef(satine.xlist):
	__attrs__='<time:rectRoundRefType use="required">rectRoundRef<time:paintDescRefType>paintDescRef<time:colorRefType>colorRef<time:lineDescRefType>lineDescRef'
	__items__='<Place>*'

class RegisteredResource(satine.xlist):
	__attrs__='<xsd:anyURI use="required">url<xsd:string>description<time:qualifiedName use="required">id'

class RegisteredResources(satine.xlist):
	__items__='<RegisteredResource>*'

class ResultSet(satine.xlist):
	__attrs__='<xsd:string use="required">comment<xsd:anyURI>resultSetURL<xsd:string use="required">fileRevisionRef'

class Role(satine.xlist):
	__attrs__='<xsd:string>description<xsd:base64Binary>publicKey<xsd:string>authority<time:shortName use="required">id'

class RoleRef(satine.xlist):
	__attrs__='<time:roleRefType use="required">roleRef'

class Roles(satine.xlist):
	__items__='<Role>*'

class Route(satine.xlist):
	__attrs__='<time:netClassType use="required">netClass<time:qualifiedName use="required">id'
	__items__='(<Path>*|<Plane>*|<Via>*|<TestPad>*|<ComponentPin>*)(<HighPotTest>*<UnbalancedImpedance>*<BalancedImpedance>*<Capacitance>*<Inductance>*)'

class RouteRef(satine.xlist):
	__attrs__='<time:routeRefType use="required">routeRef'

class RouteRefs(satine.xlist):
	__items__='<RouteRef>*'

class Routes(satine.xlist):
	__items__='<Route>*'

class SchSymbol(satine.xlist):
	__attrs__='<time:colorRefType>colorRef<time:qualifiedName use="required">id'
	__items__='<ShapeBuilder>*|<ArtworkRef>*|<Text>*|<SymPin>*'

class SchSymbolRef(satine.xlist):
	__attrs__='<time:schSymbolRefType use="required">schSymbolRef<time:componentRefType use="required">componentRef<time:circuitRefType use="required">circuitRef<time:colorRefType>colorRef'
	__items__='<Xform>*<SymPinRef>*<Text>*'

class SchSymbols(satine.xlist):
	__items__='<SchSymbol>*'

class Schedule(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">quantity<xsd:dateTime use="required">deliverableDate'

class ShapeBuilder(satine.xlist):
	pass

class Sheet(satine.xlist):
	__attrs__='<xsd:string use="required">number<xsd:string use="required">revision'
	__items__='<Frame>*(<InsertLayer>*|<SchSymbolRef>*|<Net>*|<DrawGroup>*)'

class Slot(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">width<time:barrelDescRefType>barrelDescRef<time:profileTolRefType>profileTolRef<time:layersRefType use="required">layersRef<time:locationTolRefType>locationTolRef<time:qualifiedName use="required">id'
	__items__='<PolylineBuilder>*'

class SoftwarePackage(satine.xlist):
	__attrs__='<xsd:string use="required">softwarePackage<xsd:string use="required">revision'
	__items__='<Certification>*'

class SymPin(satine.xlist):
	__attrs__='<time:artworkRefType use="required">pinGraphics<time:pinName use="required">symPinName'

class SymPinRef(satine.xlist):
	__attrs__='<time:symPinRefType use="required">symPinRef<time:routeRefType use="required">netRef'

class Target(satine.xlist):
	__attrs__='<time:targetFunctionType use="required">function<time:colorRefType>colorRef<time:qualifiedName use="required">id'
	__items__='<ShapeBuilder>*'

class Targets(satine.xlist):
	__items__='<Target>*'

class TestConnect(satine.xlist):
	__attrs__='<xsd:string>bunchLabel<time:bunchTypeType>bunchType<time:qualifiedName use="required">id'
	__items__='<TestPinRef>*|<FixtureElectronicRef>*|<TestProbeRef>*'

class TestConnectRef(satine.xlist):
	__attrs__='<time:testConnectRefType use="required">testConnectRef'

class TestConnectRefs(satine.xlist):
	__items__='<TestConnectRef>*'

class TestConnects(satine.xlist):
	__items__='<TestConnect>*'

class TestPad(satine.xlist):
	__attrs__='<time:padStackRefType use="required">padStackRef<time:point>testPoint<time:accessDescType>accessDesc<time:qualifiedName use="required">id'
	__items__='<Position>*'

class TestPadRef(satine.xlist):
	__attrs__='<time:testPadRefType use="required">testPadRef'

class TestPin(satine.xlist):
	__attrs__='<time:qualifiedName use="required">id'
	__items__='<Location>*'

class TestPinRef(satine.xlist):
	__attrs__='<time:testPinRefType use="required">testPinRef'

class TestPins(satine.xlist):
	__items__='<TestPin>*'

class TestProbe(satine.xlist):
	__attrs__='<time:testProbeType use="required">type<time:nonNegativeDouble use="required">spring<xsd:double use="required">receptDepth<time:layerSingleRefType use="required">layerSingleRef<time:tipTypeType>tipType<time:probeAttachType>attach<time:productInstanceType>productInstanceRef<time:nonNegativeDouble use="required">recepticalSize<time:nonNegativeDouble>tipSize<time:qualifiedName use="required">id'
	__items__='<Offset>*(<ViaRef>*|<TestPadRef>*|<ComponentPinRef>*)'

class TestProbeRef(satine.xlist):
	__attrs__='<time:testProbeRefType use="required">testProbeRef'

class TestProbes(satine.xlist):
	__items__='<TestProbe>*'

class Text(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:fontRefType>fontRef<time:colorRefType>colorRef<xsd:string use="required">textString'
	__items__='<Place>*'

class Thermal(satine.xlist):
	__attrs__='<time:thermalShapeType use="required">shape<time:nonNegativeDouble use="required">outerDiameter<time:nonNegativeDouble use="required">innerDiameter<xsd:nonNegativeInteger default="%s"0>spokeCount<time:nonNegativeDouble>spokeWidth<time:nonNegativeDouble>spokeStartAngle<time:spokeEndShapeType default="%s"SQUARE>spokeEndShape<time:qualifiedName use="required">id'

class Thickness(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">thickness<time:profileTolRefType>profileTolRef'

class Transaction(satine.xlist):
	__attrs__='<time:transactionTypeType use="required">type<xsd:string use="required">number<xsd:dateTime use="required">date'
	__items__='<Schedule>*'

class TruePositionTolerance(satine.xlist):
	__attrs__='<time:qualifiedName use="required">id'
	__items__='<Bilateral>*|<Diameter>*|<MaximumMaterialConditionDiameter>*'

class TruePositionTolerances(satine.xlist):
	__items__='<TruePositionTolerance>*'

class UFont(satine.xlist):
	__attrs__='<time:qualifiedName use="required">id'
	__items__='<Glyph>*'

class UnbalancedImpedance(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">ohmValue<time:nonNegativeDouble>negTol<time:nonNegativeDouble>posTol<time:routeRefType use="required">routePlaneRef'

class Units(satine.xlist):
	__attrs__='<time:lengthType>length<time:angleType>angle'

class Via(satine.xlist):
	__attrs__='<time:padStackRefType use="required">padStackRef<time:point>testPoint<time:accessDescType>accessDesc<time:qualifiedName use="required">id'
	__items__='<Position>*'

class ViaRef(satine.xlist):
	__attrs__='<time:viaRefType use="required">viaRef'

class Well(satine.xlist):
	__attrs__='<time:nonNegativeDouble use="required">nominalAngle<time:surfaceType use="required">surface<time:cutModeType use="required">cutMode<time:nonNegativeDouble use="required">remValue<time:barrelDescRefType>barrelDescRef<time:profileTolRefType>profileTolRef<time:locationTolRefType>locationTolRef<time:qualifiedName use="required">id'
	__items__='<ClosedShape>*'

class Xform(satine.xlist):
	__attrs__='<xsd:double>x<xsd:double>y<time:nonNegativeDouble>rotation<time:mirrorType>mirror<time:scaleType>scale'

class Changes(satine.xlist):
	__items__='<Revision>*'

class Revision(satine.xlist):
	__attrs__='<time:historyNumberType use="required">historyNumber'
	__items__='<Change>*'

class Change(satine.xlist):
	__attrs__='<time:actionType use="required">action<time:xpath use="required">target<xsd:dateTime>timestamp<time:personRefType>personRef'

class PowerSupplies(satine.xlist):
	__items__='<PowerSupply>*'

class Text(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:fontRefType>fontRef<time:colorRefType>colorRef<xsd:string use="required">textString'
	__items__='<Place>*'

class ArtworkRef(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef<time:colorRefType>colorRef'
	__items__='<Xform>*'

class Keepout(satine.xlist):
	__attrs__='<time:keepoutType use="required">type<time:layersRefType use="required">layersRef<time:qualifiedName use="required">id'
	__items__='<ClosedShape>*'

class HoleRef(satine.xlist):
	__attrs__='<time:holeRefType use="required">holeRef<time:locationTolRefType>locationTolRef<time:qualifiedName use="required">id'
	__items__='<Position>*'

class LogoRef(satine.xlist):
	__attrs__='<time:logoRefType use="required">logoRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef<time:qualifiedName use="required">id'
	__items__='<Xform>*'

class TargetRef(satine.xlist):
	__attrs__='<time:colorRefType>colorRef<time:targetRefType use="required">targetRef<time:layersRefType use="required">layersRef<time:qualifiedName use="required">id'
	__items__='<Place>*'

class Text(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:fontRefType>fontRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef<xsd:string use="required">textString<time:qualifiedName use="required">id'
	__items__='<Place>*'

class ArtworkRef(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef<time:colorRefType>colorRef'
	__items__='<Xform>*'

class LogoRef(satine.xlist):
	__attrs__='<time:logoRefType use="required">logoRef<time:colorRefType>colorRef'
	__items__='<Xform>*'

class Keepout(satine.xlist):
	__attrs__='<time:keepoutType use="required">type<time:layersRefType use="required">layersRef<time:qualifiedName use="required">id'
	__items__='<ClosedShape>*'

class HoleRef(satine.xlist):
	__attrs__='<time:holeRefType use="required">holeRef<time:locationTolRefType>locationTolRef<time:qualifiedName use="required">id'
	__items__='<Position>*'

class Text(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:fontRefType>fontRef<time:colorRefType>colorRef<xsd:string use="required">textString'
	__items__='<Place>*'

class ArtworkRef(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef'
	__items__='<Xform>*'

class ArtworkRef(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef'
	__items__='<Xform>*'

class Text(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:fontRefType>fontRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef<xsd:string use="required">textString'
	__items__='<Place>*'

class TargetRef(satine.xlist):
	__attrs__='<time:colorRefType>colorRef<time:targetRefType use="required">targetRef<time:layersRefType use="required">layersRef'
	__items__='<Place>*'

class ArtworkRef(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef'
	__items__='<Xform>*'

class Keepout(satine.xlist):
	__attrs__='<time:keepoutType use="required">type<time:layersRefType use="required">layersRef<time:qualifiedName use="required">id'
	__items__='<ClosedShape>*'

class HoleRef(satine.xlist):
	__attrs__='<time:holeRefType use="required">holeRef<time:locationTolRefType>locationTolRef<time:qualifiedName use="required">id'
	__items__='<Position>*'

class TargetRef(satine.xlist):
	__attrs__='<time:colorRefType>colorRef<time:targetRefType use="required">targetRef<time:layersRefType use="required">layersRef<time:qualifiedName use="required">id'
	__items__='<Place>*'

class LogoRef(satine.xlist):
	__attrs__='<time:logoRefType use="required">logoRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef<time:qualifiedName use="required">id'
	__items__='<Xform>*'

class Text(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:fontRefType>fontRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef<xsd:string use="required">textString<time:qualifiedName use="required">id'
	__items__='<Place>*'

class TargetRef(satine.xlist):
	__attrs__='<time:colorRefType>colorRef<time:targetRefType use="required">targetRef<time:layersRefType use="required">layersRef'
	__items__='<Place>*'

class ArtworkRef(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef'
	__items__='<Xform>*'

class Text(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:fontRefType>fontRef<time:colorRefType>colorRef<time:layersRefType use="required">layersRef<xsd:string use="required">textString'
	__items__='<Place>*'

class ArtworkRef(satine.xlist):
	__attrs__='<time:artworkRefType use="required">artworkRef<time:colorRefType>colorRef'
	__items__='<Xform>*'

class Text(satine.xlist):
	__attrs__='<time:point use="required">p1<time:point use="required">p2<time:fontRefType>fontRef<time:colorRefType>colorRef<xsd:string use="required">textString'
	__items__='<Place>*'


satine.xspace(time = "hdfskj")